% Gustav Eje Henter 2013-12-15

function [pzs,logS] = prob(k,x1,x2)

if (nargin < 3) || isempty(x2),
    [lpzs,logS] = k.logprob(x1,[]);
else
    [lpzs,logS] = k.logprob(x1,x2);
end

if (nargout > 1),
    pzs = exp(lpzs);
else
    pzs = exp(lpzs + repmat(logS,size(lpzs,1),1));
end