% Gustav Eje Henter 2012-11-02
% Incorrect and obsoleted!

function [lpzs,logS] = conditionalLogprob(k,x1,x2,givenDims,taus)

D = k.DataSize;

if (nargin < 5) || isempty(taus),
    taus = k.Taus;
    nt = 1;
else
    nt = size(taus,2);
    taus = taus.*ones(D,nt);
end

if (nargin < 3) || isempty(x2),
    x2 = x1;
end

if (nargin < 4) || isempty(givenDims),
    [lpzs,logS] = logprob(k,x1,x2,taus); % Assume the unconditional case
    return;
end

%if ~islogical(givenDims),
%    givenDims = ismember((1:D)',givenDims);
%else
%    givenDims = reshape(givenDims,[],1);
%end

% Prune irrelevant dimensions
if (size(x1,1) == D),
    x1 = x1(givenDims,:);
end
if (size(x2,1) == D),
    x2 = x2(givenDims,:);
end
taus = taus(givenDims,:);

D = size(x1,1); % New, reduced dimensionality

if (nt == 1),
    % One single tau-vector
    tmat = spdiags(taus,0,D,D);
    d2s = sqdistance(x1,x2,tmat);
    
    lpzs = (sum(log(taus)) - D*log(2*pi) - d2s)/2;
else
    error('Not implemented!');
    %d2s = sqdistance(x1,x2,tmat);
end

if (nargout > 1),
    logS = max(lpzs,[],1);
    lpzs = lpzs - repmat(logS,size(lpzs,1),1);
end