% Gustav Eje Henter 2013-02-07

function xs = points2series(mm,pts,includeStart)

if (nargin < 2) || isempty(pts),
    xs = [];
    return;
end

if (nargin < 3) || isempty(includeStart),
    includeStart = false;
end

o = mm.Order;
Dx = mm.DSize;

if includeStart,
    xs = [reshape(pts(:,1),Dx,o+1) pts((o*Dx+1):(o+1)*Dx,2:end)];
else
    xs = pts((o*Dx+1):(o+1)*Dx,:);
end