% Gustav Eje Henter 2013-02-07

function varargout = addLogWeights(pD,crossval,varargin)

varargout = cell(size(varargin));

if isempty(varargin),
    return;
end

N = pD.NumPoints;
Nx = size(varargin{1},2);

%lpzs = lpzs + repmat(log(pD.Weights'),1,Nx); % Incorporate component weights

wm = repmat(pD.Weights',1,Nx);

if crossval,
    wm = wm./repmat(1 - wm(1:N+1:N*Nx),N,1);
    wm(1:N+1:N*Nx) = 0;
end

for n = 1:numel(varargin),
    varargout{n} = varargin{n} + log(wm);
end