% Gustav Eje Henter 2012-11-02

function [xs,zs] = rand(pD,nSamples,bwparms)

if (nargin < 2) || isempty(nSamples),
    nSamples = 1;
end

if (nargin < 3),
    bwparms = [];
end

zs = zeros(1,nSamples);
%xs = zeros(pD.DataSize,nSamples);

cmf = cumsum(pD.Weights);
cmf = cmf/cmf(end); % Renormalize just to be sure

for t = 1:nSamples,
    zs(t) = find(rand < cmf,1,'first');
    
    %xs(:,t) = pD.Points(:,zs(t));
end

xs = pD.Points(:,zs);

xs = xs + pD.Kern.rand(nSamples,bwparms);