%gmm=MakeGMM(nStates,obsData);
%Create, initialize and train a Gaussian Mixture Model (a GaussMixD object)
%to conform with a given set of training data.
%
%Input:
%nStates=   desired number of HMM states
%obsData=   matrix with training vectors, stored column-wise.
%
%Result:
%gmm=       the resulting GaussMixD object
%
%Arne Leijon 2007-05-08 tested
%           2009-07-19 minor change, NOT tested

function gmm=MakeGMM(nStates,obsData)

g=repmat(GaussD,nStates,1);
gmm=init(GaussMixD(g,ones(nStates,1)),obsData);
gmm=train(gmm,obsData);%default training
