% Gustav Eje Henter 2012-11-16

function [X,history] = driveAR(pD,nData,history,R)

o = pD.Order;

if (o <= 0),
    X = R;
    return;
end

hl = size(history,2);

summMat = pD.getSummMat;

if (hl < o),
    % Extend history by inverting pD.SummMean = history*summMat
    knownSumm = history*summMat(end-(hl-1):end,end-(hl-1):end);
    b = [pD.SummMean(:,1:(o-hl)) knownSumm];
    history = b/summMat;
end
history = history(:,end-(o-1):end);

X = zeros(size(R));

for n = 1:nData,
    %history = X(:,n-Order:n-1);
    summary = history*summMat;
    X(:,n) = R(:,n) + sum(pD.ARCoeff.*(summary - pD.SummMean),2);
    history = [history(:,2:end) X(:,n)];
end