% Gustav Eje Henter 2012-11-28

function [lp,logS,rhos] = logprob(pD,xs,bwparms)

if (nargin < 3),
    bwparms = [];
end

if (nargin < 2),
    xs = []; % Use self-log-prob with cross-validation
end

[p,logS,rhos] = prob(pD,xs,bwparms);

lp = log(p);

nD = numel(pD);
if (nargout < 2),
    lp = lp + repmat(logS,nD,1);
end