% Gustav Eje Henter 2013-05-03

function [pts,Dp,Np] = make_pts(xs,order)

if (nargin < 2) || isempty(order),
    order = 0;
end

[Dx Nx] = size(xs);

pts = zeros(Dx*(order+1),Nx-order);
for o = 0:order,
    pts((1:Dx)+Dx*o,:) = xs(:,o+1:Nx-order+o);
end

[Dp Np] = size(pts);