% Gustav Eje Henter 2020-05-10

%dbstop if error;

datastr = 'laser_3k_phaseinit';

default_opts;
ntrain = 3000;
ntest = ntrain;
%maxorderm = 2; % Turn this on to run a smaller experiment
%maxorderh = 2; % Turn this on to run a smaller experiment

load([datastr '_data'],'xs');
xs = xs(:,1:ntrain); % Crop out training data

maxima = estimate_discrete_maxima(xs);
maxima = maxima(xs(maxima) > 50); % Extract non-noise peaks

gammas = phaseinit(datastr,ntrain,maxstates,maxima);

new_kdehmm_experiment(datastr,ntrain,ntest,gridres,condq,maxorderm,maxorderh,...
    maxstates,maxiter,nreinits,inititer,miniter,minstep,gammas,hmmgammainit);
