% Gustav Eje Henter 2013-05-29

function gammas = phaseinit(datastr,ntrain,maxstates,peaksearch,tol)

load([datastr '_data'],'xs');

xs = xs(:,1:ntrain); % Crop out training data

if (nargin < 4) || isempty(peaksearch),
    peaksearch = estimate_discrete_maxima(xs);
end

if (nargin < 5) || isempty(tol),
    tol = 0.5;
end

cmaxima = estimate_maxima(xs,peaksearch,tol);

thetas = estimate_phase(cmaxima,1:ntrain);

gammas = phase2gamma(thetas,1:maxstates)';