% Gustav Eje Henter 2013-07-22

%dbstop if error;

datastr = 'laser_3k_phaseinit';

default_opts;
ntrain = 2000;
ntest = ntrain;

load([datastr '_data'],'xs');
xs = xs(:,1:ntrain); % Crop out training data

maxima = estimate_discrete_maxima(xs);
maxima = maxima(xs(maxima) > 50); % Extract non-noise peaks

gammas = phaseinit(datastr,ntrain,maxstates,maxima);

kdehmm_experiment_new(datastr,ntrain,ntest,gridres,condq,maxorderm,maxorderh,...
    maxstates,maxiter,nreinits,inititer,miniter,minstep,gammas,hmmgammainit);